Package org.apache.storm.trident.spout

# Interface IOpaquePartitionedTridentSpout<PartitionsT,PartitionT extends ISpoutPartition,M>

Type Parameters:
  `M` - The type of metadata object passed to the Emitter when emitting a new batch based on a previous batch. This type must be JSON serializable by json-simple.
  `PartitionsT` - The type of metadata object used by the coordinator to describe partitions. This type must be JSON serializable by json-simple.

All Superinterfaces:
  `ITridentDataSource`, `Serializable`

All Known Implementing Classes:
  `KafkaTridentSpoutOpaque`

public interface IOpaquePartitionedTridentSpout<PartitionsT,PartitionT extends ISpoutPartition,M> extends ITridentDataSource
This defines a transactional spout which does *not* necessarily replay the same batch every time it emits a batch for a transaction id.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static interface`
  `IOpaquePartitionedTridentSpout.Coordinator<PartitionsT>`
  Coordinator for batches.
  `static interface`
  `IOpaquePartitionedTridentSpout.Emitter<PartitionsT,PartitionT extends ISpoutPartition,M>`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,Object>`
  `getComponentConfiguration()`
  `IOpaquePartitionedTridentSpout.Coordinator<PartitionsT>`
  `getCoordinator(Map<String,Object> conf, TopologyContext context)`
  `IOpaquePartitionedTridentSpout.Emitter<PartitionsT,PartitionT,M>`
  `getEmitter(Map<String,Object> conf, TopologyContext context)`
  `Fields`
  `getOutputFields()`

- ## Method Details

  - ### getEmitter

    IOpaquePartitionedTridentSpout.Emitter<PartitionsT,PartitionT,M> getEmitter(Map<String,Object> conf, TopologyContext context)

  - ### getCoordinator

    IOpaquePartitionedTridentSpout.Coordinator<PartitionsT> getCoordinator(Map<String,Object> conf, TopologyContext context)

  - ### getComponentConfiguration

    Map<String,Object> getComponentConfiguration()

  - ### getOutputFields

    Fields getOutputFields()